package ru.yandex.webmaster3.viewer.http.links;

import ru.yandex.webmaster3.core.codes.HttpCodeGroup;
import ru.yandex.webmaster3.core.http.RequestPostProperty;
import ru.yandex.webmaster3.core.http.request.PagerAware;
import ru.yandex.webmaster3.viewer.http.AbstractUserVerifiedHostRequest;

/**
 * @author aherman
 */
public class GetInternalLinkBrokenHttpCodeSamplesRequest extends AbstractUserVerifiedHostRequest implements PagerAware {
    private HttpCodeGroup[] indicators;

    private int page = 0;
    private int pageSize = 25;

    @RequestPostProperty
    public void setIndicators(HttpCodeGroup[] indicators) {
        this.indicators = indicators;
    }

    public HttpCodeGroup[] getIndicators() {
        return indicators;
    }

    @Override
    public void setP(int page) {
        this.page = page;
    }

    public int getPage() {
        return page;
    }

    @Override
    public void setPSize(int pageSize) {
        this.pageSize = pageSize;
    }

    public int getPageSize() {
        return pageSize;
    }
}
